Skip to content
Wordpress extension to Polylang that allows using Polylang similar to how you would use qTranslate.
PHP
Branch: master
Clone or download

Latest commit

Fetching latest commit…
Cannot retrieve the latest commit at this time.

Files

Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
qpoly
COMMITMENT
LICENSE
README.md

README.md

GitHub license GitHub release

Description

What is qPoly

qPoly add-on allows users to use Polylang similar to how the qTranslate plugin works. It is most useful when a theme does not support string translations, and yet you intend on using it. qPoly works by separating different language contents on the same page, using shortcodes.

How to use?

Insert text inside the qPoly shortcode. Use the 'lang' attribute to specify the language using ISO 639-1 codes.

[qpoly lang="es"]Text content[/qlopy]

Compatible languages

qPoly works with all Polylang supported languages. It accepts 2 character language codes from the ISO 639-1 standard. These can be found at:

Other details

  • Tags: translation, polylang, add-on, in-page, shortcode
  • Tested up to: Wordpress 5.0.2
  • Requires at least: Wordpress 3.0

Changelog

1.2.1 (2019)

  • Added 'qpoly_' prefix and improved function naming

1.2 (2019)

  • Displays an error alert when Polylang isn't active
  • Updated Wordpress tested version
  • Updated Readme

1.1 (2018)

  • Published to GitHub
  • Updated tested version

1.1 (2017)

  • Added shortcode functionality for automatic support of all languages

1.0 (2015)

  • First commit
  • Support for: Spanish and English
You can’t perform that action at this time.